SessionHandler
SessionHandler::create_sid
SessionHandler
PHP Manual

# SessionHandler::close

(PHP 5 >= 5.4.0)

SessionHandler::close — Close the session

### Description

public bool SessionHandler::close ( void )

Closes the current session. This method is automatically executed internally by PHP when closing the session, or explicitly via session_write_close() (which first calls the SessionHandler::write()).

This method wraps the internal PHP save handler defined in the session.save_handler ini setting that was set before this handler was activated by session_set_save_handler().

If this class is extended by inheritiance, calling the parent `close` method will invoke the wrapper for this method and therefor invoke the associated internal callback. This allows the method to be overidden and or intercepted.

For more information on what this method is expected to do, please refer to the documentation at SessionHandlerInterface::close().

### Parameters

This function has no parameters.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.

SessionHandler
SessionHandler::create_sid
SessionHandler
PHP Manual